/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataCloudflareApiTokenPermissionGroupsConfig extends cdktf.TerraformMetaArguments {
}
/**
* Represents a {@link https://registry.terraform.io/providers/cloudflare/cloudflare/4.13.0/docs/data-sources/api_token_permission_groups cloudflare_api_token_permission_groups}
*/
export declare class DataCloudflareApiTokenPermissionGroups extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "cloudflare_api_token_permission_groups";
    /**
    * Create a new {@link https://registry.terraform.io/providers/cloudflare/cloudflare/4.13.0/docs/data-sources/api_token_permission_groups cloudflare_api_token_permission_groups} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataCloudflareApiTokenPermissionGroupsConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataCloudflareApiTokenPermissionGroupsConfig);
    private _account;
    get account(): cdktf.StringMap;
    get id(): string;
    private _permissions;
    get permissions(): cdktf.StringMap;
    private _r2;
    get r2(): cdktf.StringMap;
    private _user;
    get user(): cdktf.StringMap;
    private _zone;
    get zone(): cdktf.StringMap;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
