/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataCloudflareUserConfig extends cdktf.TerraformMetaArguments {
}
/**
* Represents a {@link https://registry.terraform.io/providers/cloudflare/cloudflare/4.13.0/docs/data-sources/user cloudflare_user}
*/
export declare class DataCloudflareUser extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "cloudflare_user";
    /**
    * Create a new {@link https://registry.terraform.io/providers/cloudflare/cloudflare/4.13.0/docs/data-sources/user cloudflare_user} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataCloudflareUserConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataCloudflareUserConfig);
    get email(): string;
    get id(): string;
    get username(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
